---
apiVersion: "v1"
kind: "Template"
labels: {}
metadata:
  annotations:
    fabric8.console/summary: "[Fabric8 Console](http://fabric8.io/v2/console.html)\
      \ for working with Fabric8 and Kubernetes"
    description: "Creates an instance of the <a href=\"http://fabric8.io/v2/console.html\"\
      >Fabric8 Console</a> for working with fabric8 and kubernetes."
    fabric8.console/iconUrl: "https://cdn.rawgit.com/fabric8io/fabric8-devops/console/master/app-console/src/main/fabric8/icon.svg"
  labels: {}
  name: "console"
objects:
- apiVersion: "v1"
  imagePullSecrets: []
  kind: "ServiceAccount"
  metadata:
    annotations: {}
    labels: {}
    name: "fabric8"
  secrets: []
- apiVersion: "v1"
  kind: "OAuthClient"
  metadata:
    annotations: {}
    labels: {}
    name: "fabric8"
  redirectURIs:
  - "http://localhost:9090"
  - "http://localhost:2772"
  - "http://localhost:9000"
  - "http://fabric8.${DOMAIN}"
  - "https://fabric8.${DOMAIN}"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations: {}
    labels:
      project: "console"
      provider: "fabric8"
      version: "2.2.99"
      group: "io.fabric8.apps"
    name: "fabric8"
  spec:
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 80
      protocol: "TCP"
      targetPort: 9090
    selector:
      project: "console"
      provider: "fabric8"
      group: "io.fabric8.apps"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-commit: "50a5ddd159a9531620544284953e0b9fbe03c3e2"
      fabric8.io/git-branch: "release-v2.2.99"
      fabric8.io/git-url: "http://gogs.release.cd.fabric8.io/gogsadmin/oss-parent/commit/50a5ddd159a9531620544284953e0b9fbe03c3e2"
      fabric8.io/build-id: "1"
      fabric8.io/build-url: "http://jenkins.release.cd.fabric8.io/job/oss-parent/1"
    labels:
      project: "console"
      provider: "fabric8"
      version: "2.2.99"
      group: "io.fabric8.apps"
    name: "fabric8"
  spec:
    replicas: 1
    selector:
      project: "console"
      provider: "fabric8"
      version: "2.2.99"
      group: "io.fabric8.apps"
    template:
      metadata:
        annotations: {}
        labels:
          project: "console"
          provider: "fabric8"
          version: "2.2.99"
          group: "io.fabric8.apps"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "GOOGLE_OAUTH_SCOPE"
            value: "${GOOGLE_OAUTH_SCOPE}"
          - name: "OAUTH_AUTHORIZE_PORT"
            value: "${OAUTH_AUTHORIZE_PORT}"
          - name: "GOOGLE_OAUTH_CLIENT_ID"
            value: "${GOOGLE_OAUTH_CLIENT_ID}"
          - name: "OAUTH_AUTHORIZE_URI"
            value: "https://${DOMAIN}:${OAUTH_AUTHORIZE_PORT}/oauth/authorize"
          - name: "GOOGLE_OAUTH_AUTHENTICATION_URI"
            value: "https://accounts.google.com/o/oauth2/auth"
          - name: "GOOGLE_OAUTH_CLIENT_SECRET"
            value: "${GOOGLE_OAUTH_CLIENT_SECRET}"
          - name: "OAUTH_CLIENT_ID"
            value: "${OAUTH_CLIENT_ID}"
          - name: "OAUTH_PROVIDER"
            value: "${OAUTH_PROVIDER}"
          - name: "GOOGLE_OAUTH_REDIRECT_URI"
            value: "https://fabric8.${DOMAIN}"
          - name: "GOOGLE_OAUTH_TOKEN_URL"
            value: "https://www.googleapis.com/oauth2/v3/token"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/fabric8-console:2.2.99"
          name: "fabric8-container"
          ports:
          - containerPort: 9090
            name: "http"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters:
- description: "The OAuth client id if using OpenShift's OAuth provider"
  name: "OAUTH_CLIENT_ID"
  value: "fabric8"
- description: "The port that the API server is running inside Kubernetes/OpenShift"
  name: "OAUTH_AUTHORIZE_PORT"
  value: "8443"
- description: "Identifies the Google API access that your application is requesting.\
    \ The values passed in this parameter inform the consent screen that is shown\
    \ to the user."
  name: "GOOGLE_OAUTH_SCOPE"
  value: "profile"
- description: "The OAuth provider to use. Possible values are: openshift, google"
  name: "OAUTH_PROVIDER"
  value: "openshift"
- description: "The client ID obtained from the Developers Console"
  name: "GOOGLE_OAUTH_CLIENT_ID"
- description: "The client secret obtained from the Developers Console"
  name: "GOOGLE_OAUTH_CLIENT_SECRET"
- description: "The domain name to append to the service name to access web applications"
  name: "DOMAIN"
  value: "vagrant.f8"
